# Generated from vulgata-0.3.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vulgata

Name: rubygem-%{gem_name}
Version: 0.3.7
Release: 1%{?dist}
Summary: A Rails engine that creates a fully functional translation center for your data and i18n keys
License: MIT
URL: https://github.com/kaipule-tech/vulgata
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Vulgata is a Rails engine that creates a fully functional translation center
for your application. Inspired by translation SaaS providers like PhraseApp
and TranslationExchange, Vulgata aims to provide an on-premise, collaborative
platform to translate and manage translations for your Rails application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 0.3.7-1
- Initial package
